#ifndef MARS_MHImagePar
#define MARS_MHImagePar

#ifndef MARS_MH
#include "MH.h"
#endif
#ifndef ROOT_TH1
#include <TH1.h>
#endif

class MHillas;

class MHImagePar : public MH
{
private:
    TH1F fHistSatHi;   // Number of pixels with sat hi-gain
    TH1F fHistSatLo;   // Number of pixels with sat lo-gain

    TH1F fHistIslands; // Number of islands per event

public:
    MHImagePar(const char *name=NULL, const char *title=NULL);

    Bool_t SetupFill(const MParList *plist);
    Bool_t Fill(const MParContainer *par, const Stat_t w=1);

    TH1 *GetHistByName(const TString name);

    TH1F &GetHistSatHi()   { return fHistSatHi; }
    TH1F &GetHistSatLo()   { return fHistSatLo; }

    TH1F &GetHistIslands() { return fHistIslands; }

    void Draw(Option_t *opt=NULL);

    ClassDef(MHImagePar, 1) // Histograms of image parameters
};

#endif


